Subject: bug#66655: 29.1; Clicking buttons sometimes doesn't work

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Oct 2023 17:36:06 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 24 Oct 2023 10:29:30 -0400
> 
> >> > OK, but I think the issue with double-click-fuzz still remains to be
> >> > solved with this approach.
> >> 
> >> Not sure what you men by that (probably because I don't know enough of
> >> what we do with double-click-fuzz, i.e. where we do obey it and where we
> >> don't).
> >
> > It is used to decide whether to emit a drag event or a click event,
> > just search for it in keyboard.c and you will find the code.
> 
> I still don't see what you mean by "the issue with double-click-fuzz
> still remains to be solved with this approach".
> 
> AFAICT my patch still obeys `double-click-fuzz` at the same place using
> the same code.

You suggested to check whether the mouse coordinates changed between
the down- and up-event.  My point is that we already check the screen
position of the mouse between these two events, and allow them to
change if the change is small enough.  So I'm not sure I understand
what is new in your idea, if you want to keep the double-click-fuzz
test.